#!/bin/sh

set -e

##functions.sh##

target="$1"
self="$2"
new=`dirname "$self"`/locale
flags="$3"

# Only reconfigure locales if the default we've configured is listed in
# /etc/locale.gen.  (Configuration would fail if it is not listed.)
locale=`grep "^LANG=" "$new" | sed -e 's/.*="\(.*\)".*/\1/'`
if grep -q "^ *$locale" /etc/locale.gen; then
    :
else
    flags=`echo "$flags" | sed -e 's/\breconfigure\b//g'`
fi

configure_via_copy "$target" "$new" "$flags"
configure_via_debconf "dc:locales" "$CCLUB_CONFIG_SHARE/locales.dc" "$flags"
