#!/bin/sh

set -e

##functions.sh##

targetdir="$1"
self="$2"
flags="$3"

get_adduser_configuration

minimum_uid="$CONF_LAST_SYSTEM_UID"
if [ -z "$minimum_uid" ]; then
    minimum_uid="$CCLUB_DEFAULT_LAST_SYSTEM_UID"
fi
minimum_uid=`expr "$minimum_uid" + 1`

ws='[ \t]\+'
wse="\\($ws\\|\$\\)"
digits='[0-9]\+'
key='minimum_uid'
val="$minimum_uid"

targets="common-auth common-session common-session-noninteractive"

for target in $targets; do
    $dry_run sed -i                                                         \
            -e "/${ws}pam_afs_session\\.so${wse}/{"                         \
            -e "    /${ws}${key}=/{"                                        \
            -e "        s/\\(${ws}${key}\\)=${digits}${wse}/\\1=${val}\\2/" \
            -e "        b"                                                  \
            -e "    }"                                                      \
            -e "    s/${ws}pam_afs_session\\.so/& ${key}=${val}/"           \
            -e "}"                                                          \
        "$targetdir/$target"
done
